Interface Oauth2AccessTokenProviderParameters
public interface Oauth2AccessTokenProviderParameters
This interface defines the parameters that can be used to obtain an access token through an
Oauth2AccessTokenProvider. Note that most of these properties are explained in the OAuth 2.0 specification.-
Nested Class Summary
Nested ClassesModifier and TypeInterfaceDescriptionstatic interfaceSpring Security OAUth 2.0 client provider propertiesstatic interfaceSpring Security OAUth 2.0 client registration properties -
Method Summary
Modifier and TypeMethodDescriptionorg.apache.commons.lang3.tuple.ImmutablePair<String, Oauth2AccessTokenProviderParameters.Registration> A pair with the client registration and its nameThe name of the connectionThe name of the service callA map with any additional token request parameters
-
Method Details
-
serviceCallName
String serviceCallName()The name of the service call- Returns:
- The name of the modelled Blueriq REST service call that was invoked
-
connectionName
String connectionName()The name of the connection- Returns:
- The name of the connection (override) configured for the Blueriq REST service call that was invoked
-
clientRegistration
org.apache.commons.lang3.tuple.ImmutablePair<String, Oauth2AccessTokenProviderParameters.Registration> clientRegistration()A pair with the client registration and its name- Returns:
- Reference to Spring OAuth 2.0 client registration properties (from the Blueriq properties). Left side of the pair contains the client registration name, right side the registration (can be null)
-
tokenRequestParameters
-